@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

html {
    font-family: 'Montserrat', sans-serif;
    font-size: 10px;
}

body {
    background: linear-gradient(-45deg, #aa5f22a4, #aa5f22a4, #972222a4, #972222a4 );
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
}
@keyframes gradient {
    0% {
      background-position: 0% 50%;
    }
    50% {
      background-position: 100% 50%;
    }
    100% {
      background-position: 0% 50%;
    }
  }

section {
    min-height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 100px 0;
}

.container {
    width: 90%;
    max-width: 900px;
    margin: 0 auto;
    padding: 50px 20px;
    text-align: center;

    border-radius: 50px;
    /* background: linear-gradient(45deg, rgb(221, 144, 72), rgb(72, 72, 136)); */
    box-shadow: 10px -10px 15px rgba(49, 46, 42, 0.274),
        -5px 5px 15px rgba(110, 110, 240, 0.089);
}

.header {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.header h1 {
    font-size: 40px;
    font-weight: 900;
    letter-spacing: -2px;
    cursor: pointer;
}

form {
    margin-top: 20px;
    width: 80%;
    max-width: 300px;
}

input {
    border: black; 
    border-bottom: 2px solid rgba(46, 44, 44, 0.479);
    margin-bottom: 10px;
    font-size: 20px;
    outline: none;
    color: rgba(46, 44, 44, 0.479);;
    background-color: transparent;
    width: 100%;
    font-family: 'Poppins', sans-serif;
}

input::placeholder {
    opacity: 0.5;
    color: rgba(7, 7, 7, 0.897);
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
}

form ion-icon {
    position: absolute;
    right: 1;
    opacity: .5;
    color: rgba(46, 44, 44, 0.993);;
    font-size: 20px;
}

.gallery {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    margin-top: 50px;
    gap: 20px;

}

.item {
    width: 100%;
    height: 300px; 
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    transition: .3s ease box-shadow;
}

.item:hover {
    box-shadow: 0px 0px 20px 3px #00000042;

}

.item h3 {
    width: 100%;
    padding: 20px;
    position: absolute;
    background-color: #00000040;
    color: aliceblue;
    bottom: -70;
    font-weight: 300;
    transition: .5s ease-in-out bottom;
    font-size: 20px;
}

.item:hover h3 {
    bottom: 0;

}

.load-more {
    display: inline-block;
    margin-top: 30px;
    background-color: black;
    padding: 20px 50px;
    text-decoration: none;
    text-transform: uppercase;
    color: white;
    font-weight: 500;
    cursor: pointer;
    font-size: 15px;
}

@media only screen and (min-width: 900px) {
    .container {
        max-width: 1160px;
        padding: 100px;
    }

    .header {
        flex-direction: row;
        justify-content: space-between;
    }

    .header h1 {
        font-size: 50px;
    }

    input {
        font-size: 24px;
    }

    form ion-icon {
        font-size: 24px;
    }

    .gallery {
        grid-gap: 30px;
    }
}